<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'EMconsulta') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" ></script>
    <script src="{{ asset('js/Chart.js') }}" ></script>
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>

    <script src="https://code.jquery.com/jquery-3.5.0.js"></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <link href="{{ asset('css/font-awesome.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/tablesaw.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" integrity="sha512-9usAa10IRO0HhonpyAIVpjrylPvoDwiPUiKdWk5t3PyolY1cOd4DSE0Ga+ri4AuTroPR5aQvXU9xC6qOPnzFeg==" crossorigin="anonymous" referrerpolicy="no-referrer" />


<style>
    @media print{
       form, button, #sanitarios, #pacientes, 
        #formularios, #buscarPac, #buscarSan, #buscarFor, .float-right{
            display:none !important;
        }

        div>.saltoPagina{
           
            page-break-before: always;
        }
        
   }
    
    .btn-primary{
        background-color:#FF6600;
        border:none;
        color: #002060;
    }

    .btn-primary:hover{
        background-color:#FF7700;
    }
    

    body, .card, .card-header{
        background-color: #FBFCFC;
        color:#002060;
        font-family: Arial, Helvetica, sans-serif;
    }

    .card-header{
        background-color: #002060;
        color:#FBFCFC;
    }

    .btn-success{
        background-color:#002060;
        border:solid 1px #002060;
    }

    .btn-success:hover{
        background-color:#FBFCFC;
        border:solid 1px #002060;
        color:#002060;
        box-sizing:content-box;
    }

    .btn-danger{
        background-color:#FBFCFC;
        border:solid 1px #002060;
        color:#002060;
        box-sizing:content-box;
    }

    .btn-danger:hover{
        background-color:red;
        border:solid 1px #002060;
        color:#002060;
        box-sizing:content-box;
    }

    footer  {
          background-color:#FF6600;
          height: 7vh;
    }
    .links2 img {
          color: #002060;
          height: 7vh;
    }

    .navbar div a{
        color:#002060;
    }
    #app #principal  #logo{
        width:180px;
    }
    .menu{
        font-size:1.3em;
        color:#002060;
    }
    .menu:hover, .activa{
        color:#FF6600;
    }
    .salir:hover{
        color:#FF6600;
    }

</style>

</head>
<body>
    <div id="app" >
        <nav id="principal" class="navbar navbar-expand-md navbar-light bg-white shadow-sm fixed-top">
            <div class="container-fluid">
                <a class="navbar-brand" href="{{ url('/') }}"><img id ="logo" src="{{ asset('img/imagotipoEmconsulta.svg')}}"  alt="Logo EMconsulta" >
                    
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav me-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ms-auto">
                        <!-- Authentication Links -->
                        @auth
                            <a id="sanitarios" class="nav-link menu" href="{{ URL::to('sanitarios') }}"><i class="fas fa-hand-holding-medical "></i>{{ __('  Sanitarios') }}</a>
                            <a id="pacientes" class="nav-link menu" href="{{ URL::to('pacientes') }}"><i class="fa fa-fw fa-group "></i>{{ __('  Pacientes') }}</a>
                            <a id="formularios" class="nav-link menu" href="{{ URL::to('formularios') }}"><i class="fa fa-clipboard "></i>{{ __('  Formularios') }}</a>
                            @endauth
                        @guest
                            @if (Route::has('login'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                                </li>
                            @endif

                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle menu" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }}
                                </a>

                                <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item salir"  href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        <i  class="fas fa-sign-out-alt "></i> {{ __('  Salir') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>

    <footer class="container-fluid bg-3 text-center fixed-bottom ">
        <p class="links2">
            <a href="http://www.fadema.org/esclerosis.asp"> <img src="{{ asset('img/logofadema.svg')}}"  class="img-fluid" alt="Logo FADEMA" ></a>
        </p>
    </footer>

    <!-- para incluir js en las páginas hijas -->
    @yield('js')
</body>

</html>
