@extends('layouts.app')

@section('template_title')
    {{ $paciente->name ?? 'Show Paciente' }}
@endsection

<style>
    #titulo{
        width:100vw;
        padding-right:1vw;
    }

    #volver {
        margin-left:1vw;
    }

    #myChart2{
        width:10vw;
    }

    a#pacientes.nav-link.menu{
        color:#FF6600 !important;
    }
    #grafico{
        margin-left:1em;
    }

 
</style>
@section('content')
    <section class="content container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div id="reportPage" class="card">
                    <div class="card-header" style="margin-top:80px;">
                            <span id="titulo" class="card-title">Evolución gráfica de síntomas, paciente:</span><strong>{{ $paciente->name }}</strong>
                            <a id="volver" class="btn btn-primary btn-sm float-right" href="{{ route('pacientes.index') }}"> Volver</a>
                            <a id="grafico" href="#" class="btn btn-primary btn-sm float-right"  data-placement="left"> 
                                <i class="far fa-file-pdf "></i>
                                {{ __(' PDF') }}
                            </a>
                    </div>

                    <div class="card-body"><!--https://codepen.io/jordanwillis/pen/peqVOM -->
                            
                        <div id="reportPage" class="justify-content-center">        
                            <div id="chartContainer" style=" ">
                                <canvas  id="myChart"></canvas>
                            </div>

                            <div style=" ">
                                <canvas  id="myChart2"></canvas>
                            </div>

                            <div style=" height: 400px;">
                                <canvas id="myChart3" ></canvas>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.3.3/jspdf.min.js"></script>
<script>

//GRÁFICO DE BARRAS
var ctx = document.getElementById('myChart').getContext('2d');;
var chart1 = new Chart(ctx, {
    type: 'bar',
    data: {
        labels: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
        datasets: [{
            label: 'Físicos',
            backgroundColor: '#42a5f5',
            borderColor: 'gray',
            borderWidth: 2,
            data: [5, 4, 5, 2, 3, 5, 4,2,4,3,1,5]
        },{
            label: 'Psíquicos',
            backgroundColor: '#ffab91',
            borderColor: 'yellow',
            data: [5, 2, 5, 3,1,4,1,3,1,3,1,2]
        }		
		]},
        options: {
            responsive: true,
            plugins:{/*https://www.chartjs.org/docs/latest/configuration/title.html*/
                title: {
                    display: true,
                    font: {
                        size: 18
                    },
                    text: 'Comparacion de síntomas estado físico y psíquico'
                }
            }
            
        }
});

//GRÁFICO DE LÍNEA
var ctx1 = document.getElementById('myChart2').getContext('2d');
var chart2 = new Chart(ctx1, {
    type: 'line',
    data: {
        labels: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
        datasets: [{
            label: 'Físicos',
            backgroundColor: 'blue',
            borderColor: 'blue',
            borderWidth: 1,
            data: [5, 4, 5, 2, 3, 5, 4,2,4,3,1,5]
        },{
            label: 'Psíquicos',
            backgroundColor: 'green', 
            borderColor: 'green',
            borderWidth: 1,
            data: [5, 2, 5, 3,1,4,1,3,1,3,1,2]
        },			
		]},
        options: {
            responsive: true,
            plugins:{/*https://www.chartjs.org/docs/latest/configuration/title.html*/
                title: {
                    display: true,
                    font: {
                        size: 18
                    },
                    text: 'Comparacion de síntomas estado físico y psíquico'
                }
            }
            
        }
});

//GRÁFICO DE DONUTS
var ctx2 = document.getElementById('myChart3').getContext('2d');;
var chart3 = new Chart(ctx2, {
    type: 'doughnut',
    data: 	
	{
	datasets: [{
		data: [60,18,10, 8, 4],
			backgroundColor: ['#42a5f5', 'red', 'green','blue','violet'],
			label: 'Comparación de estados anímicos'
        }],
		labels: [
			'Optimismo',
			'Desanimo',
			'Alegría',
			'Tristeza',
			'Apatía'
		]},
        options: 
        {
        responsive: true,
            plugins:
            {/*https://www.chartjs.org/docs/latest/configuration/title.html*/
                title: {
                    display: true,
                    font: {
                        size: 18
                    },
                    text: 'Comparación de síntomas estado de ánimo'
                    
                }
            }
    }
});

// TRANSFORMAR LOS GRÁFICOS EN IMÁGENES PARA INCLUIRLOS EN UN PDF

$('#grafico').click(function(event) {
    
  // get size of report page
  var reportPageHeight = $('#reportPage').innerHeight();
  var reportPageWidth = $('#reportPage').innerWidth();
  
  // create a new canvas object that we will populate with all other canvas objects
  var pdfCanvas = $('<canvas />').attr({
    id: "canvaspdf",
    width: reportPageWidth,
    height: reportPageHeight
  });
 
  // keep track canvas position
  var pdfctx = $(pdfCanvas)[0].getContext('2d');
  var pdfctxX = 0;
  var pdfctxY = 0;
  var buffer = 50;
  
  $("canvas").each(function(index) {
    // para calcualr el ancho y alto del gráfico
    var canvasHeight = $(this).innerHeight();
    var canvasWidth = $(this).innerWidth();

    // Dibujar el gráfico en el nuevo canvas
    pdfctx.drawImage($(this)[0], pdfctxX, pdfctxY, canvasWidth, canvasHeight);
    pdfctxX += canvasWidth + buffer;

      pdfctxX = 0;
      pdfctxY += canvasHeight + buffer;

  });
  
  // Crear un nuevo PDF y añadir una imagen
  var pdf = new jsPDF({});
  pdf.setFontSize(12);
  pdf.setTextColor('#002060');

  //para capturar y visualizar la fecha actual en el PDF
  var meses = new Array ("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
  var f=new Date();
  fecha=(f.getDate() + " de " + meses[f.getMonth()] + " de " + f.getFullYear());
  pdf.text(10,10,"Paciente: "+"{{ $paciente->name }}"+"         Fecha del informe  "+fecha); 
  
  /* https://es.stackoverflow.com/questions/272029/colocar-texto-al-final-de-una-pagina 
  https://www.3engine.net/wp/2019/02/chart-js-como-anadir-texto-dentro-de-una-grafica-de-tipo-donut/
  https://code.tutsplus.com/es/tutorials/getting-started-with-chartjs-line-and-bar-charts--cms-28384
  https://parzibyte.me/blog/2021/01/04/crear-grafica-php-chart-js/
  */
  if (reportPageWidth > 999){
        pdf.addImage($(pdfCanvas)[0], 'PNG', 20, 20, 175,265);
  }else{ pdf.addImage($(pdfCanvas)[0], 'PNG', 20, 20);}
  
  // para descargar el PDF
  var fechaImpresion = f.getFullYear() + "_"+ meses[f.getMonth()] + "_"+ f.getDate();
  pdf.save('{{ $paciente->name }}'+fechaImpresion);
});
</script>
@endsection
