@extends('layouts.app')

@section('template_title')
    {{ $paciente->name ?? 'Show Paciente' }}
@endsection

<style>
    #titulo{
        width:100vw;
        padding-right:1vw;
    }

    #volver {
        margin-left:1vw;
    }

    #myChart2{
        width:10vw;
    }

    a#pacientes.nav-link.menu{
        color:#FF6600 !important;
    }
    #grafico{
        margin-left:1em;
    }
</style>
@section('content')
    <section class="content container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header" style="margin-top:80px;">
                            <span id="titulo" class="card-title">Evolución gráfica de síntomas, paciente:</span><strong>{{ $paciente->name }}</strong>
                            
                                <a id="volver" class="btn btn-primary btn-sm float-right" href="{{ route('pacientes.index') }}"> Volver</a>
                                <a id="grafico" href="{{url('pacientes/createGraficoPDF')}}" class="btn btn-primary btn-sm float-right"  data-placement="left"> 
                                        <i class="far fa-file-pdf "></i>
                                        {{ __(' PDF') }}
                                </a>
                        <!--</div>-->
                    </div>

                    <div class="card-body">
                        <h1></h1>
                        <h4>Comparacion de síntomas estado físico y psíquico</h4>
                        <h4>Gráfico de barras</h4>
                        <canvas id="myChart"></canvas>
                        <br>
                        <h4>Comparacion de síntomas estado físico y psíquico</h4>
                        <h4>Gráfico de líneas</h4>
                        <canvas id="myChart1"></canvas>
                        <br>
                        <h4>Comparacion de estados de ánimo</h4>
                        <h4>Gráfico de donuts</h4>
                        <canvas id="myChart2"></canvas>
                        <br>

                    </div>
                </div>
            </div>
        </div>
    </section>
<script>
//GRÁFICO DE BARRAS
var ctx = document.getElementById('myChart').getContext('2d');
var chart = new Chart(ctx, {
    type: 'bar',
    data: {
        labels: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
        datasets: [{
            label: 'Físicos',
            backgroundColor: '#42a5f5',
            borderColor: 'gray',
            borderWidth: 2,
            data: [5, 4, 5, 2, 3, 5, 4,2,4,3,1,5]
        },{
            label: 'Psíquicos',
            backgroundColor: '#ffab91',
            borderColor: 'yellow',
            data: [5, 2, 5, 3,1,4,1,3,1,3,1,2]
        }		
		]},
    options: {responsive: true}
});

//GRÁFICO DE LÍNEA
var ctx1 = document.getElementById('myChart1').getContext('2d');
var chart = new Chart(ctx1, {
    type: 'line',
    data: {
        labels: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
        datasets: [{
            label: 'Físicos',
            backgroundColor: 'blue',
            borderColor: 'blue',
            borderWidth: 1,
            data: [5, 4, 5, 2, 3, 5, 4,2,4,3,1,5]
        },{
            label: 'Psíquicos',
            backgroundColor: 'green', 
            borderColor: 'green',
            borderWidth: 1,
            data: [5, 2, 5, 3,1,4,1,3,1,3,1,2]
        },			
		]},
        options: {}
});

//GRÁFICO DE DONUTS
var ctx2 = document.getElementById('myChart2').getContext('2d');
var chart = new Chart(ctx2, {
    type: 'doughnut',
    data: 	
	{
				datasets: [{
					 data: [60,18,10, 8, 4],
					backgroundColor: ['#42a5f5', 'red', 'green','blue','violet'],
					label: 'Comparación de estados de anímicos'
				}],
				labels: [
					'Optimismo',
					'Desanimo',
					'Alegría',
					'Tristeza',
					'Apatía'
				]},
    options: {}
});
</script>
@endsection
