@extends('layouts.app')

@section('template_title')
    Sanitario
@endsection

<style>
    .cab-responsive{
        display: flex; 
        flex-direction: row;
        justify-content: space-between; 
        align-items: center;
    }

    .card-body div table{
        color:#002060;
    }
    .card-body div table tboby{
        color:#002060;
    }
    #buscarSan{
        margin:0;
    }
    a#sanitarios.nav-link.menu{
        color:#FF6600 !important;
    }

    #botonera a, #botonera button{
        margin-top:5px;
    } 

    @media only screen and (max-width:767px){
        .cab-responsive{
            flex-direction:column;
            justify-content: space-between !important;
        }
        #botones{
            margin-top:10px;
        }
    }
   

</style>

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <div id ="card" class="card" style="margin-top:80px;">
                    <div class="card-header">
                        <div class="cab-responsive">

                            <h5 id="card_title">
                                {{ __('Gestión personal sanitario') }}
                            </h5>

                            <form id="buscarSan"  class="d-flex" role="search" action="{{url('sanitarios/buscar')}}"> <!--action="{{url('sanitarios/buscar')}}">-->
                                <input class="form-control me-3" type="search" name="buscarSan" placeholder="Buscar" aria-label="Buscar">
                                <button class="btn btn-outline-success" type="submit"><i class="fas fa-search"></i></button>
                             </form>
                             
                             <div id="botones" class="float-right">
                                <a href="{{url('sanitarios/createSanPDF')}}" class="btn btn-primary btn-sm float-right"  data-placement="left"> 
                                    <i class="far fa-file-pdf "></i>
                                    {{ __(' PDF') }}
                                    </a>
                                    
                                    <a href="{{ route('sanitarios.create') }}" class="btn btn-primary btn-sm float-right"  data-placement="left">
                                    <i class="fa fa-fw fa-user-plus "></i>
                                    {{ __('Añadir') }}
                                    </a>
                              </div>
                        </div>
                    </div>
                    @if ($message = Session::get('success'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                    @endif

                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover tablesaw tablesaw-stack">
                                <thead class="thead">
                                    <tr>
                                        <th>No</th>
                                        
										<th>Nombre</th>
										<th>Especialidad</th>
										<th>Email</th>
										<th>Teléfono</th>
										

                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($sanitarios as $sanitario)
                                        <tr>
                                            <td id="cab1">{{ ++$i }}</td>
                                            
											<td id="cab2">{{ $sanitario->nombre }}</td>
											<td id="cab3">{{ $sanitario->especialidad }}</td>
											<td id="cab4">{{ $sanitario->email }}</td>
											<td id="cab5">{{ $sanitario->telefono }}</td>
											

                                            <td>
                                            
                                                <form id="botonera" action="{{ route('sanitarios.destroy',$sanitario->id) }}" method="POST" class="eliminar">
                                                    <a class="btn btn-sm btn-primary " href="{{ route('sanitarios.show',$sanitario->id) }}"><i class="fa fa-fw fa-eye"></i></a>
                                                    <a class="btn btn-sm btn-success" href="{{ route('sanitarios.edit',$sanitario->id) }}"><i class="fa fa-fw fa-edit"></i></a>
                                                    @csrf
                                                    @method('DELETE')
                                                    <button id="eliminar" type="submit" class="btn btn-danger btn-sm"><i class="fa fa-fw fa-trash"></i></button>
                                                </form>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                        {!! $sanitarios->links() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

<!-- Sección para confirmar la eliminación de un registro Sanitario -->
@section('js')

    @if (session('eliminar') == 'Ok')
        <script>
            Swal.fire(
                'Eliminado!',
                'Los datos ha sido borrados.',
                'success'
            )

        </script>   
    @endif
    
    <script>
        $('.eliminar').submit(function(e){
            e.preventDefault();

            Swal.fire({
            title: '¿Está usted seguro?',
            text: "¡No podrá revertir esto!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#FF6600',
            cancelButtonColor: '#002060',
            confirmButtonText: 'Eliminar',
            cancelButtonText: 'Cancelar'
            }).then((result) => {
            if (result.isConfirmed) {
                this.submit();
            }
            });
        });
        
    </script>
@endsection