<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\PacienteController;
use App\Http\Controllers\SanitarioController;
use App\Http\Controllers\FormularioController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
||
*/
Route::get('/', function () {
    return view('inicio');
});

//*********************************************** */

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

// ***************** PACIENTES *****************************************

// para mostrar el grafico
Route::get('/pacientes/{id}/grafico', [PacienteController::class, 'grafico']);

// para generar PDF el grafico
Route::get('/pacientes/{id}/createGraficoPDF', [PacienteController::class, 'createGraficoPDF']);

// para buscar pacientes por el campo nombre
Route::get('/pacientes/buscar',[PacienteController::class, 'buscar']);

// para generar PDF de pacientes
Route::get('/pacientes/createPDF',[PacienteController::class, 'createPDF']);

// ruta de pacientes
Route::resource('/pacientes', PacienteController::class)->middleware('auth');

// ***************** SANITARIOS *****************************************

// para buscar un sanitario por el campo nombre
Route::get('sanitarios/buscar',[SanitarioController::class, 'buscar']);

// para generar PDF de sanitarios
Route::get('/sanitarios/createSanPDF',[SanitarioController::class, 'createSanPDF']);

// ruta de sanitarios
Route::resource('/sanitarios', SanitarioController::class)->middleware('auth');

// ***************** FORMULARIOS *****************************************

// para buscar un formulario por el campo nombre
Route::get('formularios/buscar',[FormularioController::class, 'buscar']);

// para generar PDF del listado de  formularios
Route::get('/formularios/createForPDF',[FormularioController::class, 'createForPDF']);

// para descargar el PDF pdf de la guia
//Route::get('/formularios/descargar',[FormularioController::class, 'descargar']);

// para descargar el PDF pdf de la guia
Route::get('/formularios/descargar/{id}',[FormularioController::class, 'descargar']);

// ruta formularios
Route::resource('/formularios', FormularioController::class)->middleware('auth');


