<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e(config('app.name', 'EMconsulta')); ?></title>

    <!-- Scripts -->
    <script src="<?php echo e(asset('js/app.js')); ?>" ></script>
    <script src="<?php echo e(asset('js/Chart.js')); ?>" ></script>
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <!--<script src="<?php echo e(asset('js/sweetalert2.all.js')); ?>"></script>-->
    <!--<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>-->
    <script src="https://code.jquery.com/jquery-3.5.0.js"></script>
    <!--<script src="<?php echo e(asset('js/tablesaw.js')); ?>"></script>
    <script src="<?php echo e(asset('js/tables.stack.js')); ?>"></script>
    <script src="<?php echo e(asset('js/tablesaw-init.js')); ?>"></script>-->
    
    
    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <link href="<?php echo e(asset('css/app.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/font-awesome.min.css')); ?>" rel="stylesheet">
    <!--<link href="<?php echo e(asset('css/tablesaw.css')); ?>" rel="stylesheet">-->
    <!--<link href="<?php echo e(asset('css/sweetalert2.min.css')); ?>" rel="stylesheet">-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" integrity="sha512-9usAa10IRO0HhonpyAIVpjrylPvoDwiPUiKdWk5t3PyolY1cOd4DSE0Ga+ri4AuTroPR5aQvXU9xC6qOPnzFeg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    
    <!-- CSS only -->
   <!-- <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script>
-->

<style>
    @media  print{
       form, button, #sanitarios, #pacientes, 
        #formularios, #buscarPac, #buscarSan, #buscarFor, .float-right{
            display:none !important;
        }

        div>.saltoPagina{
           
            page-break-before: always;
        }
        
   }
       
    
    .btn-primary{
        background-color:#FF6600;
        border:none;
        color: #002060;
    }

    .btn-primary:hover{
        background-color:#FF7700;
    }
    

    body, .card, .card-header{
        background-color: #FBFCFC;
        color:#002060;
        font-family: Arial, Helvetica, sans-serif;
    }

    .card-header{
        background-color: #002060;
        color:#FBFCFC;
    }

    .btn-success{
        background-color:#002060;
        border:solid 1px #002060;
    }

    .btn-success:hover{
        background-color:#FBFCFC;
        border:solid 1px #002060;
        color:#002060;
        box-sizing:content-box;
    }

    .btn-danger{
        background-color:#FBFCFC;
        border:solid 1px #002060;
        color:#002060;
        box-sizing:content-box;
    }

    .btn-danger:hover{
        background-color:red;
        border:solid 1px #002060;
        color:#002060;
        box-sizing:content-box;
    }

    footer  {
          background-color:#FF6600;
          height: 7vh;
    }
    .links2 img {
          color: #002060;
          height: 7vh;
    }

    .navbar div a{
        color:#002060;
    }
    #app #principal  #logo{
        width:180px;
    }
    .menu{
        font-size:1.3em;
        color:#002060;
    }
    .menu:hover, .activa{
        color:#FF6600;
    }
    .salir:hover{
        color:#FF6600;
    }

</style>

</head>
<body>
    <div id="app" >
        <nav id="principal" class="navbar navbar-expand-md navbar-light bg-white shadow-sm fixed-top">
            <div class="container-fluid">
                <a class="navbar-brand" href="<?php echo e(url('/')); ?>"><img id ="logo" src="<?php echo e(asset('img/imagotipoEmconsulta.svg')); ?>"  alt="Logo EMconsulta" >
                    
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="<?php echo e(__('Toggle navigation')); ?>">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav me-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ms-auto">
                        <!-- Authentication Links -->
                        <?php if(auth()->guard()->check()): ?>
                            <a id="sanitarios" class="nav-link menu" href="<?php echo e(URL::to('sanitarios')); ?>"><i class="fas fa-hand-holding-medical "></i><?php echo e(__('  Sanitarios')); ?></a>
                            <a id="pacientes" class="nav-link menu" href="<?php echo e(URL::to('pacientes')); ?>"><i class="fa fa-fw fa-group "></i><?php echo e(__('  Pacientes')); ?></a>
                            <a id="formularios" class="nav-link menu" href="<?php echo e(URL::to('formularios')); ?>"><i class="fa fa-clipboard "></i><?php echo e(__('  Formularios')); ?></a>
                            <?php endif; ?>
                        <?php if(auth()->guard()->guest()): ?>
                            <?php if(Route::has('login')): ?>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(route('login')); ?>"><?php echo e(__('Login')); ?></a>
                                </li>
                            <?php endif; ?>

                            <?php if(Route::has('register')): ?>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(route('register')); ?>"><?php echo e(__('Register')); ?></a>
                                </li>
                            <?php endif; ?>
                        <?php else: ?>
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle menu" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    <?php echo e(Auth::user()->name); ?>

                                </a>

                                <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item salir"  href="<?php echo e(route('logout')); ?>"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        <i  class="fas fa-sign-out-alt "></i> <?php echo e(__('  Salir')); ?>

                                    </a>

                                    <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                                        <?php echo csrf_field(); ?>
                                    </form>
                                </div>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            <?php echo $__env->yieldContent('content'); ?>
        </main>
    </div>

    <footer class="container-fluid bg-3 text-center fixed-bottom ">
        <p class="links2">
            <a href="http://www.fadema.org/esclerosis.asp"> <img src="<?php echo e(asset('img/logofadema.svg')); ?>"  class="img-fluid" alt="Logo FADEMA" ></a>
        </p>
    </footer>

    <!-- para incluir js en las páginas hijas -->
    <?php echo $__env->yieldContent('js'); ?>
</body>

</html>
<?php /**PATH C:\xampp\htdocs\EMconsulta\resources\views/layouts/appShowForm.blade.php ENDPATH**/ ?>